Code93Writer (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.oned, class: Code93Writer

Package com.google.zxing.oned

# Class Code93Writer

java.lang.Object
com.google.zxing.oned.OneDimensionalCodeWriter
com.google.zxing.oned.Code93Writer

All Implemented Interfaces:
  `Writer`

public class Code93Writer extends OneDimensionalCodeWriter
This object renders a CODE93 code as a BitMatrix

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Code93Writer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static int`
  `appendPattern(boolean[] target, int pos, int[] pattern, boolean startColor)`
  Deprecated.
  without replacement; intended as an internal-only method
  `boolean[]`
  `encode(String contents)`
  Encode the contents to boolean array expression of one-dimensional barcode.
  `protected Collection<BarcodeFormat>`
  `getSupportedWriteFormats()`

  ### Methods inherited from class com.google.zxing.oned.OneDimensionalCodeWriter

  `checkNumeric, encode, encode, encode, getDefaultMargin`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Code93Writer

    public Code93Writer()

- ## Method Details

  - ### getSupportedWriteFormats

    protected Collection<BarcodeFormat> getSupportedWriteFormats()
    Overrides:
      `getSupportedWriteFormats` in class `OneDimensionalCodeWriter`

  - ### encode

    public boolean[] encode(String contents)
    Description copied from class: `OneDimensionalCodeWriter`
    Encode the contents to boolean array expression of one-dimensional barcode. Start code and end code should be included in result, and side margins should not be included.
    Specified by:
      `encode` in class `OneDimensionalCodeWriter`
    Parameters:
      `contents` - barcode contents to encode. It should not be encoded for extended characters.
    Returns:
      a `boolean[]` of horizontal pixels (false = white, true = black)

  - ### appendPattern

    @Deprecated protected static int appendPattern(boolean[] target, int pos, int[] pattern, boolean startColor)
    Deprecated.
    without replacement; intended as an internal-only method
    Parameters:
      `target` - output to append to
      `pos` - start position
      `pattern` - pattern to append
      `startColor` - unused
    Returns:
      9